Summary
Gets an single automation by its id
Description
Gets an single automation by its id
Route
GET /automation_catalog/automations/:id
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Unique id of the automation |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
Automation document that was requested |
Copied to Clipboard
{
"_id": "a50e6c6120ed9dc25d3613bf",
"name": "test",
"data": {
"gbac": {
"write": [
"dd943fafe09c6467b0364289",
"300fa91577f4ad3f3e79ed62"
],
"read": [
"023f1f423b9b64e517f2a179"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "minim",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "313e3321b25670b59423d990"
},
"lastModifiedBy": "in",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "1 day",
"migratedToOM": true,
"correspondingOMAutomationId": "06c5b6b03c55420405234071"
}